Eclipse Platform Release 3.7

## org.eclipse.jface.databinding.viewers
Interface IViewerObservableSet

All Superinterfaces:
  Collection, IObservable, IObservableCollection, IObservableSet, Iterable, IViewerObservable, Set

    public interface IViewerObservableSet

extends IObservableSet, IViewerObservable

`IObservableSet` observing a JFace Viewer.

Since:
  1.2

Method Summary

Methods inherited from interface org.eclipse.core.databinding.observable.set.IObservableSet
`add, addAll, addSetChangeListener, contains, containsAll, equals, getElementType, hashCode, isEmpty, iterator, remove, removeAll, removeSetChangeListener, retainAll, size, toArray, toArray`

Methods inherited from interface java.util.Set
`clear`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Methods inherited from interface org.eclipse.jface.databinding.viewers.IViewerObservable
`getViewer`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.